MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031793Open CASCADE[OCCT] OCCT:DRAWpublic2020-09-24 14:102020-10-03 14:39
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031793: Draw Harness, vmanipulator - disable sorting picking result workaround
DescriptionAIS_Manipulator documentation suggests enabling AIS_InteractiveContext::SetPickClosest() for issue fixed long time ago by #0027797.

vmanipulator command still enables this workaround unconditionally, which doesn't look justified.
It is proposed removing a workaround in Draw command and updated test cases using manipulator (v3d/manipulator group first of all) - due to depth comparison differences, picked parts of manipulator slightly shift (it is expected that test cases will require a couple of pixels shift to reproduce exact same scenario).
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031701verifiedbugmaster Open CASCADE Visualization, SelectMgr_ViewerSelector - make depth tolerance configurable 

-  Notes
(0095354)
git (administrator)
2020-09-26 21:45

Branch CR31793 has been created by mzernova.

SHA-1: 8f33aa9137a2634398d99a5c7eb9f0c2bb3b4136


Detailed log of new commits:

Author: mzernova
Date: Sat Sep 26 21:47:58 2020 +0300

    0031793: Draw Harness, vmanipulator - disable sorting picking result workaround
    
    AIS_InteractiveContext::SetPickClosest() has been removed from vmanipulator command,
    and test cases using the manipulator have been updated.
(0095355)
mzernova (developer)
2020-09-26 23:53

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31793-master-mzernova/ [^]
(0095427)
git (administrator)
2020-09-27 19:52

Branch CR31793 has been updated forcibly by kgv.

SHA-1: 153085fedcf51b43dbb64c35c49c1d431f60ee05
(0095432)
kgv (developer)
2020-09-28 09:48

Please raise the patch
- OCCT branch: CR31793.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31793-master-KGV/ [^]
(0095623)
bugmaster (administrator)
2020-10-03 14:02

Combination -
OCCT branch : IR-2020-10-02
master SHA - 6522304c17181a09fa831c040219d611dc44b94a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-02 SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18085.050000000083 / 18057.60000000009 [+0.15%]
Products
Total CPU difference: 12174.620000000117 / 12124.200000000114 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 19713.125 / 19772.65625 [-0.30%]
Products
Total CPU difference: 13533.8125 / 13527.921875 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095661)
git (administrator)
2020-10-03 14:39

Branch CR31793 has been deleted by inv.

SHA-1: 153085fedcf51b43dbb64c35c49c1d431f60ee05

- Related Changesets
occt: master e2409d34
Timestamp: 2020-09-26 18:47:58
Author: mzernova
Committer: bugmaster
Details ] Diff ]
0031793: Draw Harness, vmanipulator - disable sorting picking result workaround

AIS_InteractiveContext::SetPickClosest() has been removed from vmanipulator command,
and test cases using the manipulator have been updated.
mod - src/AIS/AIS_Manipulator.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/v3d/manipulator/dragg Diff ] File ]
mod - tests/v3d/manipulator/rotate Diff ] File ]
mod - tests/v3d/manipulator/scale Diff ] File ]
mod - tests/v3d/manipulator/translate Diff ] File ]
mod - tests/v3d/manipulator/zoom_persistence Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-09-24 14:10 kgv New Issue
2020-09-24 14:10 kgv Assigned To => kgv
2020-09-24 14:10 kgv Assigned To kgv => mzernova
2020-09-24 14:10 kgv Status new => assigned
2020-09-24 14:10 kgv Relationship added related to 0031701
2020-09-24 14:10 kgv Relationship added child of 0027797
2020-09-24 14:26 kgv Description Updated View Revisions
2020-09-24 14:44 kgv Product Version 7.4.0 => 7.1.0
2020-09-26 21:45 git Note Added: 0095354
2020-09-26 23:53 mzernova Note Added: 0095355
2020-09-26 23:54 mzernova Assigned To mzernova => kgv
2020-09-26 23:54 mzernova Status assigned => resolved
2020-09-26 23:54 mzernova Steps to Reproduce Updated View Revisions
2020-09-27 19:52 git Note Added: 0095427
2020-09-28 09:48 kgv Note Added: 0095432
2020-09-28 09:48 kgv Assigned To kgv => bugmaster
2020-09-28 09:48 kgv Status resolved => reviewed
2020-10-03 12:51 bugmaster Test case number => Not required
2020-10-03 14:02 bugmaster Note Added: 0095623
2020-10-03 14:02 bugmaster Status reviewed => tested
2020-10-03 14:05 bugmaster Changeset attached => occt master e2409d34
2020-10-03 14:05 bugmaster Status tested => verified
2020-10-03 14:05 bugmaster Resolution open => fixed
2020-10-03 14:39 git Note Added: 0095661


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker